
# turn these on to see specific outputs
SAVE.BACKMDL	BOOL 	TRUE
SAVE.BACKGND	BOOL 	TRUE
SAVE.BACKSUB	BOOL 	TRUE
SAVE.RESID	BOOL 	TRUE
SAVE.PSF	BOOL 	TRUE
SAVE.PLOTS      BOOL    TRUE

# image statistics parameters
IMSTATS_NPIX        S32  5000    	 # number of pixels to use for sky estimate boxes:
SKY_STAT            STR  FITTED_MEAN_V4  # statistic used to measure background

PSF_SN_LIM          F32  30              # minimum S/N for stars used for PSF model
PSF_MAX_NSTARS      S32  300             # limit number of stars used for PSF model

PSF_MODEL           STR  PS_MODEL_PGAUSS

MOMENTS_SN_MIN      F32   30.0
MOMENTS_AR_MAX      F32   2.0		 # maximum axial ratio: 1 / AR < (sx / sy) < AR

#EXT_MIN_SN           F32  50.0           # fit galaxies above this S/N limit
#FULL_FIT_SN_LIM      F32  50.0
#AP_MIN_SN            F32  20.0
PSF_CLUMP_NSIGMA   F32  3.5             # region of Sx,Sy plane to use for selecting PSF stars

# PSFTREND must be a 2D polynomial
# the specified values are ignored but define the active components of the polynomial
PSF.TREND.MASK  METADATA  
   NORDER_X         S32       3                # number of x orders
   NORDER_Y         S32       3                # number of y orders
   VAL_X00_Y00      F64       1                # polynomial coefficient

   VAL_X01_Y00      F64       1                # polynomial coefficient
   VAL_X00_Y01      F64       1                # polynomial coefficient

   VAL_X02_Y00      F64       1                # polynomial coefficient
   VAL_X01_Y01      F64       1                # polynomial coefficient
   VAL_X00_Y02      F64       1                # polynomial coefficient

   VAL_X03_Y00      F64       1                # polynomial coefficient
   VAL_X02_Y01      F64       1                # polynomial coefficient
   VAL_X01_Y02      F64       1                # polynomial coefficient
   VAL_X00_Y03      F64       1                # polynomial coefficient
   NELEMENTS        S32       10               # number of unmasked components
END  # folder for 4D polynomial

PSF.TREND.NX S32 4
PSF.TREND.NY S32 4

XMIN F32 15

PSF.RESIDUALS       BOOL true
PSF.RESIDUALS.SPATIAL_ORDER S32 1

BREAK_POINT         STR  ENSEMBLE
OUTPUT.FORMAT       STR  PS1_DEV_0

PSPHOT.SUMMIT METADATA
 PEAKS_SMOOTH_SIGMA  F32  0.8 	   	 # peak significance threshold
 PEAKS_NSIGMA_LIMIT  F32  50.0 	   	 # peak significance threshold
 PEAKS_NMAX          S32  1000
 SAVE.RESID	BOOL 	FALSE
 PSF_SN_LIM          F32  25              # minimum S/N for stars used for PSF model
 MOMENTS_SN_MIN      F32   25.0
 PSF_MODEL         STR  PS_MODEL_PGAUSS
END

DIAGNOSTIC.PLOTS		METADATA
  IMAGE.BACKGROUND.CELL.HISTOGRAM   BOOL FALSE
  IMAGE.BACKGROUND.CELL.HISTOGRAM.X S32  4
  IMAGE.BACKGROUND.CELL.HISTOGRAM.Y S32  7
END

SKY_BIAS F32 0.5
AP_MIN_SN            F32  30.0
